This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 142771 - glob pattern * in spec files does not match square brackets
glob pattern * in spec files does not match square brackets
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 18:24 EST by Fernando Nasser
Modified: 2012-06-20 12:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Paul Nasrat's simple spec file to demonstrate the problem (1.03 KB, text/plain)
2004-12-13 18:27 EST, Fernando Nasser
no flags Details

  None (edit)
Description Fernando Nasser 2004-12-13 18:24:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
Spec file line like:

/usr/opt/%{name}/*.jar

When the file name is:

/usr/opt/bork/[bork].jar     (note square brackets)

results in no matches:

error: File not found by glob: /var/tmp/bork-1.0-buildroot/usr/opt/bork/*.jar

Version-Release number of selected component (if applicable):
rpm-devel-4.3.2-21

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild -ba bork.spec   (attached)
2.
3.
  

Actual Results:  error: File not found by glob: /var/tmp/bork-1.0-buildroot/usr/opt/bork/*.jar

Expected Results:  RPM builds OK

Additional info:
Comment 1 Fernando Nasser 2004-12-13 18:27:46 EST
Created attachment 108476 [details]
Paul Nasrat's simple spec file to demonstrate the problem
Comment 2 Jeff Johnson 2007-01-03 12:27:22 EST
This problem is a duplicate of #147363, and is fixed in rpm cvs, rpm-4.4.8-0.9 when built.

UPSTREAM
Comment 4 Jiri Pallich 2012-06-20 12:10:24 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.